function boot_n = bootdata_nyblomalt(data_struc,data_dummy_n,d,d_coint,d_corel,d_shortrun,d_coidet)

%
% create the data matrices
%
boot_n.Z0 = data_struc.Z0;
if d_coint==0;
   if d_corel==0;
      boot_n.Z1 = data_struc.Z1;
      if d_shortrun==0;
         boot_n.Z2 = [data_dummy_n';data_struc.Z2];
      else;
         test_mat = data_struc.Z2(d+1:size(data_struc.Z2,1),:);
         boot_n.Z2 = [];
         if d>0;
            boot_n.Z2 = data_struc.Z2(1:d,:);
         end;
         boot_n.Z2 = [boot_n.Z2;test_mat .* (ones(size(test_mat,1),1)*(1-data_dummy_n'));test_mat .* (ones(size(test_mat,1),1)*data_dummy_n')];
      end;
   else;
      %
      % we have a break in the cointegration space
      %
      if d_coidet==0;
         boot_n.Z1 = [data_struc.Z1 .* (ones(size(data_struc.Z1,1),1)*(1-data_dummy_n'));data_struc.Z1 .* (ones(size(data_struc.Z1,1),1)*data_dummy_n')];
      else;
         boot_n.Z1 = [data_struc.Z1(1:size(data_struc.Z1,1)-1,:) .* (ones(size(data_struc.Z1,1)-1,1)*(1-data_dummy_n'));data_struc.Z1(size(data_struc.Z1,1),:);data_struc.Z1(1:size(data_struc.Z1,1)-1,:) .* (ones(size(data_struc.Z1,1)-1,1)*data_dummy_n')];
      end;
      boot_n.Z2 = data_struc.Z2;
   end;
else;
   boot_n.Z1 = [data_struc.Z1;data_dummy_n'];
   boot_n.Z2 = data_struc.Z2;
end;

%
% end of bootdata_nyblomalt.m
%
