function pid = getpid(prog)

if nargin==0;
   pid = -1;
   return;
end;

curr_ini = find_inisettings;

pid_prog = ['bin\run_exe.exe ' fix_path([curr_ini.pstoolsdir 'pslist.exe']) ' ' prog '>' fix_path([curr_ini.tempdir 'pid.txt'])];
dos(pid_prog);
txt = readtext([curr_ini.tempdir 'pid.txt']);
for i=1:size(txt,2);
   newtxt = txt{size(txt,2)-i+1};
   if strcmp(strtrim(newtxt),'')==0;
      break;
   end;
end;

if size(newtxt,2)>=7;
   checkpid = newtxt(1,1:7);
   if strcmp(lower(checkpid),'process')==0;
      newtxt = strtrim(strrep(lower(newtxt),lower(prog),''));
      pos = findstr(newtxt,' ');
      if (isempty(pos)==0)&(pos(1)>1);
         pid = mystr2num(strtrim(newtxt(1,1:pos(1)-1)));
      else;
         pid = -1;
      end;
   else;
      pid = -1;
   end;
else;
   pid = -1;
end;

%
% end of getpid.m
%
