function surface_context = import_surface_context(this_surf)

fix_fig = findobj('Tag','StructuralVAR');
model = get(fix_fig,'UserData');
copy = get(model.run,'UserData');

%
% Setting up a Context menu for the main surface
%
surface_context = uicontextmenu('Callback','set(gcf,''Pointer'',''arrow'')');
%
% learn about which colormap we have
%
map1 = 'off';
map2 = 'off';
map3 = 'off';
map4 = 'off';
map5 = 'off';
map6 = 'off';
map7 = 'off';
map8 = 'off';
map9 = 'off';
map10 = 'off';
map11 = 'off';
map12 = 'off';
map13 = 'off';
map14 = 'off';
map15 = 'off';
map16 = 'off';
map17 = 'off';
if copy.surface_properties.colormap==autumn;
   map1 = 'on';
elseif copy.surface_properties.colormap==bone;
   map2 = 'on';
elseif copy.surface_properties.colormap==colorcube;
   map3 = 'on';
elseif copy.surface_properties.colormap==cool;
   map4 = 'on';
elseif copy.surface_properties.colormap==copper;
   map5 = 'on';
elseif copy.surface_properties.colormap==flag;
   map6 = 'on';
elseif copy.surface_properties.colormap==gray;
   map7 = 'on';
elseif copy.surface_properties.colormap==hot;
   map8 = 'on';
elseif copy.surface_properties.colormap==hsv;
   map9 = 'on';
elseif copy.surface_properties.colormap==jet;
   map10 = 'on';
elseif copy.surface_properties.colormap==lines;
   map11 = 'on';
elseif copy.surface_properties.colormap==pink;
   map12 = 'on';
elseif copy.surface_properties.colormap==prism;
   map13 = 'on';
elseif copy.surface_properties.colormap==spring;
   map14 = 'on';
elseif copy.surface_properties.colormap==summer;
   map15 = 'on';
elseif copy.surface_properties.colormap==white;
   map16 = 'on';
elseif copy.surface_properties.colormap==winter;
   map17 = 'on';
end;
%
% Change colormaps
%
my_colormap = uimenu('Parent',surface_context,'Label','Colormap');
uimenu('Parent',my_colormap,'Checked',map1,'Label','autumn','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',autumn); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''autumn'')');
uimenu('Parent',my_colormap,'Checked',map2,'Label','bone','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',bone); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''bone'')');
uimenu('Parent',my_colormap,'Checked',map3,'Label','colorcube','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',colorcube); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''colorcube'')');
uimenu('Parent',my_colormap,'Checked',map4,'Label','cool','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',cool); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''cool'')');
uimenu('Parent',my_colormap,'Checked',map5,'Label','copper','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',copper); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''copper'')');
uimenu('Parent',my_colormap,'Checked',map6,'Label','flag','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',flag); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''flag'')');
uimenu('Parent',my_colormap,'Checked',map7,'Label','gray','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',gray); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''gray'')');
uimenu('Parent',my_colormap,'Checked',map8,'Label','hot','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',hot); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''hot'')');
uimenu('Parent',my_colormap,'Checked',map9,'Label','hsv','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',hsv); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''hsv'')');
uimenu('Parent',my_colormap,'Checked',map10,'Label','jet','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',jet); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''jet'')');
uimenu('Parent',my_colormap,'Checked',map11,'Label','lines','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',lines); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''lines'')');
uimenu('Parent',my_colormap,'Checked',map12,'Label','pink','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',pink); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''pink'')');
uimenu('Parent',my_colormap,'Checked',map13,'Label','prism','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',prism); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''prism'')');
uimenu('Parent',my_colormap,'Checked',map14,'Label','spring','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',spring); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''spring'')');
uimenu('Parent',my_colormap,'Checked',map15,'Label','summer','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',summer); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''summer'')');
uimenu('Parent',my_colormap,'Checked',map16,'Label','white','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',white); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''white'')');
uimenu('Parent',my_colormap,'Checked',map17,'Label','winter','UserData',this_surf,'Callback','set(get(0,''CurrentFigure''),''Colormap'',winter); uimenu_check_fcn; set(get(gcbo,''UserData''),''UserData'',''winter'')');
%
% Color intensity
%
my_brighten = uimenu('Parent',surface_context,'Label','Color Intensity');
uimenu('Parent',my_brighten,'Label','Brighter','Callback','brighten(0.3)');
uimenu('Parent',my_brighten,'Label','Darker','Callback','brighten(-0.3)');
uimenu('Parent',my_brighten,'Label','Undo','Userdata',this_surf,'Callback','fix_colormap(get(gcbo,''UserData''))');
%
% Shading options
%
flat_check = 'on';
interp_check = 'off';
faceted_check = 'off';
if isnumeric(get(this_surf,'FaceColor'))==0;
   if strcmp(get(this_surf,'FaceColor'),'interp')==1;
      flat_check = 'off';
      interp_check = 'on';
      faceted_check = 'off';
   elseif strcmp(get(this_surf,'FaceColor'),'faceted')==1;
      flat_check = 'off';
      interp_check = 'off';
      faceted_check = 'on';
   end;
end;
my_shading = uimenu('Parent',surface_context,'Label','Surface Shading');
uimenu('Parent',my_shading,'Label','Faceted','Checked',faceted_check,'Callback','shading(''faceted''); fix_plane_color; uimenu_check_fcn');
uimenu('Parent',my_shading,'Label','Flat','Checked',flat_check,'Callback','shading(''flat''); fix_plane_color; uimenu_check_fcn');
uimenu('Parent',my_shading,'Label','Interpolated','Checked',interp_check,'Callback','shading(''interp''); fix_plane_color; uimenu_check_fcn');
%
% learn about ambient light
%
am1 = 'off';
am2 = 'off';
am3 = 'off';
am4 = 'off';
am5 = 'off';
am6 = 'off';
am7 = 'off';
am8 = 'off';
am9 = 'off';
am10 = 'off';
am11 = 'off';
if copy.surface_properties.ambientstrength==0;
   am1 = 'on';
elseif copy.surface_properties.ambientstrength==0.1;
   am2 = 'on';
elseif copy.surface_properties.ambientstrength==0.2;
   am3 = 'on';
elseif copy.surface_properties.ambientstrength==0.3;
   am4 = 'on';
elseif copy.surface_properties.ambientstrength==0.4;
   am5 = 'on';
elseif copy.surface_properties.ambientstrength==0.5;
   am6 = 'on';
elseif copy.surface_properties.ambientstrength==0.6;
   am7 = 'on';
elseif copy.surface_properties.ambientstrength==0.7;
   am8 = 'on';
elseif copy.surface_properties.ambientstrength==0.8;
   am9 = 'on';
elseif copy.surface_properties.ambientstrength==0.9;
   am10 = 'on';
elseif copy.surface_properties.ambientstrength==1;
   am11 = 'on';
end;
%
% Change Ambient Light
%
my_ambient = uimenu('Parent',surface_context,'Label','Ambient Light','Separator','on');
uimenu('Parent',my_ambient,'Checked',am1,'Label','0','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',0); uimenu_check_fcn');
uimenu('Parent',my_ambient,'Checked',am2,'Label','0.1','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',0.1); uimenu_check_fcn');
uimenu('Parent',my_ambient,'Checked',am3,'Label','0.2','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',0.2); uimenu_check_fcn');
uimenu('Parent',my_ambient,'Checked',am4,'Label','0.3','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',0.3); uimenu_check_fcn');
uimenu('Parent',my_ambient,'Checked',am5,'Label','0.4','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',0.4); uimenu_check_fcn');
uimenu('Parent',my_ambient,'Checked',am6,'Label','0.5','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',0.5); uimenu_check_fcn');
uimenu('Parent',my_ambient,'Checked',am7,'Label','0.6','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',0.6); uimenu_check_fcn');
uimenu('Parent',my_ambient,'Checked',am8,'Label','0.7','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',0.7); uimenu_check_fcn');
uimenu('Parent',my_ambient,'Checked',am9,'Label','0.8','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',0.8); uimenu_check_fcn');
uimenu('Parent',my_ambient,'Checked',am10,'Label','0.9','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',0.9); uimenu_check_fcn');
uimenu('Parent',my_ambient,'Checked',am11,'Label','1','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''AmbientStrength'',1); uimenu_check_fcn');
%
% check back face lighting
%
bf1 = 'off';
bf2 = 'off';
bf3 = 'off';
if strcmp(copy.surface_properties.backfacelighting,'unlit')==1;
   bf1 = 'on';
elseif strcmp(copy.surface_properties.backfacelighting,'lit')==1;
   bf2 = 'on';
elseif strcmp(copy.surface_properties.backfacelighting,'reverselit')==1;
   bf3 = 'on';
end;
%
% Change BackFace Lighting
%
my_backface = uimenu('Parent',surface_context,'Label','Back-face Lighting');
uimenu('Parent',my_backface,'Checked',bf1,'Label','unlit','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''BackFaceLighting'',''unlit''); uimenu_check_fcn');
uimenu('Parent',my_backface,'Checked',bf2,'Label','lit','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''BackFaceLighting'',''lit''); uimenu_check_fcn');
uimenu('Parent',my_backface,'Checked',bf3,'Label','reverselit','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''BackFaceLighting'',''reverselit''); uimenu_check_fcn');
%
% check diffuse strength
%
ds1 = 'off';
ds2 = 'off';
ds3 = 'off';
ds4 = 'off';
ds5 = 'off';
ds6 = 'off';
ds7 = 'off';
ds8 = 'off';
ds9 = 'off';
ds10 = 'off';
ds11 = 'off';
if copy.surface_properties.diffusestrength==0;
   ds1 = 'on';
elseif copy.surface_properties.diffusestrength==0.1;
   ds2 = 'on';
elseif copy.surface_properties.diffusestrength==0.2;
   ds3 = 'on';
elseif copy.surface_properties.diffusestrength==0.3;
   ds4 = 'on';
elseif copy.surface_properties.diffusestrength==0.4;
   ds5 = 'on';
elseif copy.surface_properties.diffusestrength==0.5;
   ds6 = 'on';
elseif copy.surface_properties.diffusestrength==0.6;
   ds7 = 'on';
elseif copy.surface_properties.diffusestrength==0.7;
   ds8 = 'on';
elseif copy.surface_properties.diffusestrength==0.8;
   ds9 = 'on';
elseif copy.surface_properties.diffusestrength==0.9;
   ds10 = 'on';
elseif copy.surface_properties.diffusestrength==1;
   ds11 = 'on';
end;
%
% Change Diffuse Strength
%
my_diffuse = uimenu('Parent',surface_context,'Label','Diffuse Strength');
uimenu('Parent',my_diffuse,'Checked',ds1,'Label','0','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',0); uimenu_check_fcn');
uimenu('Parent',my_diffuse,'Checked',ds2,'Label','0.1','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',0.1); uimenu_check_fcn');
uimenu('Parent',my_diffuse,'Checked',ds3,'Label','0.2','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',0.2); uimenu_check_fcn');
uimenu('Parent',my_diffuse,'Checked',ds4,'Label','0.3','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',0.3); uimenu_check_fcn');
uimenu('Parent',my_diffuse,'Checked',ds5,'Label','0.4','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',0.4); uimenu_check_fcn');
uimenu('Parent',my_diffuse,'Checked',ds6,'Label','0.5','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',0.5); uimenu_check_fcn');
uimenu('Parent',my_diffuse,'Checked',ds7,'Label','0.6','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',0.6); uimenu_check_fcn');
uimenu('Parent',my_diffuse,'Checked',ds8,'Label','0.7','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',0.7); uimenu_check_fcn');
uimenu('Parent',my_diffuse,'Checked',ds9,'Label','0.8','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',0.8); uimenu_check_fcn');
uimenu('Parent',my_diffuse,'Checked',ds10,'Label','0.9','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',0.9); uimenu_check_fcn');
uimenu('Parent',my_diffuse,'Checked',ds11,'Label','1','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''DiffuseStrength'',1); uimenu_check_fcn');
%
% check face lighting
%
fa1 = 'off';
fa2 = 'off';
fa3 = 'off';
fa4 = 'off';
if strcmp(copy.surface_properties.facelighting,'none')==1;
   fa1 = 'on';
elseif strcmp(copy.surface_properties.facelighting,'flat')==1;
   fa2 = 'on';
elseif strcmp(copy.surface_properties.facelighting,'gouraud')==1;
   fa3 = 'on';
elseif strcmp(copy.surface_properties.facelighting,'phong')==1;
   fa4 = 'on';
end;
%
% Change Face Lighting
%
my_face = uimenu('Parent',surface_context,'Label','Face Lighting');
uimenu('Parent',my_face,'Checked',fa1,'Label','none','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''FaceLighting'',''none''); uimenu_check_fcn');
uimenu('Parent',my_face,'Checked',fa2,'Label','flat','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''FaceLighting'',''flat''); uimenu_check_fcn');
uimenu('Parent',my_face,'Checked',fa3,'Label','gouraud','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''FaceLighting'',''gouraud''); uimenu_check_fcn');
uimenu('Parent',my_face,'Checked',fa4,'Label','phong','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''FaceLighting'',''phong''); uimenu_check_fcn');
%
% check specular color reflectance
%
scr1 = 'off';
scr2 = 'off';
scr3 = 'off';
scr4 = 'off';
scr5 = 'off';
scr6 = 'off';
scr7 = 'off';
scr8 = 'off';
scr9 = 'off';
scr10 = 'off';
scr11 = 'off';
if copy.surface_properties.specularcolorreflectance==0;
   scr1 = 'on';
elseif copy.surface_properties.specularcolorreflectance==0.1;
   scr2 = 'on';
elseif copy.surface_properties.specularcolorreflectance==0.2;
   scr3 = 'on';
elseif copy.surface_properties.specularcolorreflectance==0.3;
   scr4 = 'on';
elseif copy.surface_properties.specularcolorreflectance==0.4;
   scr5 = 'on';
elseif copy.surface_properties.specularcolorreflectance==0.5;
   scr6 = 'on';
elseif copy.surface_properties.specularcolorreflectance==0.6;
   scr7 = 'on';
elseif copy.surface_properties.specularcolorreflectance==0.7;
   scr8 = 'on';
elseif copy.surface_properties.specularcolorreflectance==0.8;
   scr9 = 'on';
elseif copy.surface_properties.specularcolorreflectance==0.9;
   scr10 = 'on';
elseif copy.surface_properties.specularcolorreflectance==1;
   scr11 = 'on';
end;
%
% Change specular color reflectance
%
my_reflect = uimenu('Parent',surface_context,'Label','Specular Color Reflectance');
uimenu('Parent',my_reflect,'Checked',scr1,'Label','0','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',0); uimenu_check_fcn');
uimenu('Parent',my_reflect,'Checked',scr2,'Label','0.1','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',0.1); uimenu_check_fcn');
uimenu('Parent',my_reflect,'Checked',scr3,'Label','0.2','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',0.2); uimenu_check_fcn');
uimenu('Parent',my_reflect,'Checked',scr4,'Label','0.3','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',0.3); uimenu_check_fcn');
uimenu('Parent',my_reflect,'Checked',scr5,'Label','0.4','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',0.4); uimenu_check_fcn');
uimenu('Parent',my_reflect,'Checked',scr6,'Label','0.5','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',0.5); uimenu_check_fcn');
uimenu('Parent',my_reflect,'Checked',scr7,'Label','0.6','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',0.6); uimenu_check_fcn');
uimenu('Parent',my_reflect,'Checked',scr8,'Label','0.7','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',0.7); uimenu_check_fcn');
uimenu('Parent',my_reflect,'Checked',scr9,'Label','0.8','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',0.8); uimenu_check_fcn');
uimenu('Parent',my_reflect,'Checked',scr10,'Label','0.9','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',0.9); uimenu_check_fcn');
uimenu('Parent',my_reflect,'Checked',scr11,'Label','1','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularColorReflectance'',1); uimenu_check_fcn');
%
% check specular exponent
%
se1 = 'off';
se2 = 'off';
se3 = 'off';
se4 = 'off';
se5 = 'off';
se6 = 'off';
se7 = 'off';
se8 = 'off';
se9 = 'off';
se10 = 'off';
se11 = 'off';
if copy.surface_properties.specularexponent==1;
   se1 = 'on';
elseif copy.surface_properties.specularexponent==5;
   se2 = 'on';
elseif copy.surface_properties.specularexponent==10;
   se3 = 'on';
elseif copy.surface_properties.specularexponent==15;
   se4 = 'on';
elseif copy.surface_properties.specularexponent==20;
   se5 = 'on';
elseif copy.surface_properties.specularexponent==25;
   se6 = 'on';
elseif copy.surface_properties.specularexponent==30;
   se7 = 'on';
elseif copy.surface_properties.specularexponent==35;
   se8 = 'on';
elseif copy.surface_properties.specularexponent==40;
   se9 = 'on';
elseif copy.surface_properties.specularexponent==45;
   se10 = 'on';
elseif copy.surface_properties.specularexponent==50;
   se11 = 'on';
end;
%
% Change specular exponent
%
my_specular_exponent = uimenu('Parent',surface_context,'Label','Specular Exponent');
uimenu('Parent',my_specular_exponent,'Checked',se1,'Label','1','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',1); uimenu_check_fcn');
uimenu('Parent',my_specular_exponent,'Checked',se2,'Label','5','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',5); uimenu_check_fcn');
uimenu('Parent',my_specular_exponent,'Checked',se3,'Label','10','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',10); uimenu_check_fcn');
uimenu('Parent',my_specular_exponent,'Checked',se4,'Label','15','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',15); uimenu_check_fcn');
uimenu('Parent',my_specular_exponent,'Checked',se5,'Label','20','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',20); uimenu_check_fcn');
uimenu('Parent',my_specular_exponent,'Checked',se6,'Label','25','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',25); uimenu_check_fcn');
uimenu('Parent',my_specular_exponent,'Checked',se7,'Label','30','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',30); uimenu_check_fcn');
uimenu('Parent',my_specular_exponent,'Checked',se8,'Label','35','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',35); uimenu_check_fcn');
uimenu('Parent',my_specular_exponent,'Checked',se9,'Label','40','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',40); uimenu_check_fcn');
uimenu('Parent',my_specular_exponent,'Checked',se10,'Label','45','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',45); uimenu_check_fcn');
uimenu('Parent',my_specular_exponent,'Checked',se11,'Label','50','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularExponent'',50); uimenu_check_fcn');
%
% check specular color reflectance
%
ss1 = 'off';
ss2 = 'off';
ss3 = 'off';
ss4 = 'off';
ss5 = 'off';
ss6 = 'off';
ss7 = 'off';
ss8 = 'off';
ss9 = 'off';
ss10 = 'off';
ss11 = 'off';
if copy.surface_properties.specularstrength==0;
   ss1 = 'on';
elseif copy.surface_properties.specularstrength==0.1;
   ss2 = 'on';
elseif copy.surface_properties.specularstrength==0.2;
   ss3 = 'on';
elseif copy.surface_properties.specularstrength==0.3;
   ss4 = 'on';
elseif copy.surface_properties.specularstrength==0.4;
   ss5 = 'on';
elseif copy.surface_properties.specularstrength==0.5;
   ss6 = 'on';
elseif copy.surface_properties.specularstrength==0.6;
   ss7 = 'on';
elseif copy.surface_properties.specularstrength==0.7;
   ss8 = 'on';
elseif copy.surface_properties.specularstrength==0.8;
   ss9 = 'on';
elseif copy.surface_properties.specularstrength==0.9;
   ss10 = 'on';
elseif copy.surface_properties.specularstrength==1;
   ss11 = 'on';
end;
%
% Change Specular strenght
%
my_specular = uimenu('Parent',surface_context,'Label','Specular Strength');
uimenu('Parent',my_specular,'Checked',ss1,'Label','0','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',0); uimenu_check_fcn');
uimenu('Parent',my_specular,'Checked',ss2,'Label','0.1','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',0.1); uimenu_check_fcn');
uimenu('Parent',my_specular,'Checked',ss3,'Label','0.2','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',0.2); uimenu_check_fcn');
uimenu('Parent',my_specular,'Checked',ss4,'Label','0.3','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',0.3); uimenu_check_fcn');
uimenu('Parent',my_specular,'Checked',ss5,'Label','0.4','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',0.4); uimenu_check_fcn');
uimenu('Parent',my_specular,'Checked',ss6,'Label','0.5','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',0.5); uimenu_check_fcn');
uimenu('Parent',my_specular,'Checked',ss7,'Label','0.6','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',0.6); uimenu_check_fcn');
uimenu('Parent',my_specular,'Checked',ss8,'Label','0.7','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',0.7); uimenu_check_fcn');
uimenu('Parent',my_specular,'Checked',ss9,'Label','0.8','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',0.8); uimenu_check_fcn');
uimenu('Parent',my_specular,'Checked',ss10,'Label','0.9','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',0.9); uimenu_check_fcn');
uimenu('Parent',my_specular,'Checked',ss11,'Label','1','Callback','set(get(findobj(gca,''Type'',''light''),''UserData''),''SpecularStrength'',1); uimenu_check_fcn');
%
% copy surface
%

uimenu('Parent',surface_context,'label','Cut','Separator','on','Callback','delete_surface_fcn');
uimenu('Parent',surface_context,'Label','Copy','Callback','copy_surface_fcn');

%
% end of import_surface_context.m
%
