function init_structure = initialize_inifile

init_structure.maxit = 5000;
init_structure.convcrit = 8;
init_structure.maxlag = 12;
init_structure.openvar = 0;
init_structure.geometry = [0 0];
init_structure.method = [1 0 0];
init_structure.external = 0;
init_structure.graphicsfmt = 'eps';
init_structure.aiviewer = '';
init_structure.epsviewer = '';
init_structure.bitmapviewer = '';
init_structure.sscorrect = 0;
init_structure.append = 0;
init_structure.colors = 0;
init_structure.landscape = 0;
init_structure.paperposmode = 'manual';
init_structure.papertype = 'usletter';
init_structure.portmanteau = 0;
init_structure.xgrid = 0;
init_structure.box = 0;
init_structure.omnibus = 0;
init_structure.critval = 10;
init_structure.dirstructure = 0;
init_structure.T0 = 2/3;
init_structure.fluctest = 0;
init_structure.nyblom = 0;
init_structure.akaike = 0;
init_structure.restat = 0;
init_structure.shortdyn = 0;
init_structure.weakexo = 0;
init_structure.gctest = 0;
init_structure.ygrid = 0;
init_structure.chowfc = 0;
init_structure.chow = 0;
init_structure.lstrtest = 0;
init_structure.fullrec = 0;
init_structure.tracebart = 0;
init_structure.lagtest = 0;
init_structure.maxresp = 40;
init_structure.recalpha = 0;
init_structure.topeig = 0;
init_structure.betagrad = 0;
init_structure.reopenlist = '';
init_structure.uselastfile = 0;
init_structure.lastfile = '';
init_structure.startrun = 0;
init_structure.openmyoutput = 0;
init_structure.sillyq = 0;
init_structure.txtprint = '';
init_structure.txtprintcmd = '';
init_structure.psprint = '';
init_structure.psprintcmd = '';
init_structure.rahbek = 0;
init_structure.extraccrit = 0;
init_structure.noprint = 0;
init_structure.reestbeta = 0;
init_structure.ghostscript = '';
init_structure.pstoedit = '';
init_structure.paperunits = 'inches';
init_structure.transeig = 0;
init_structure.zgrid = 0;
init_structure.text_fontname = get(0,'FixedWidthFontName');
init_structure.text_fontsize = 10;
if strcmp(computer,'PCWIN')==1;
   init_structure.axes_fontname = 'Arial';
   init_structure.axes_fontsize = 8;
   init_structure.title_fontname = 'Arial';
   init_structure.title_fontsize = 9;
   init_structure.label_fontname = 'Arial';
   init_structure.label_fontsize = 8;
elseif strcmp(computer,'MAC2')==1;
   init_structure.axes_fontname = 'Helvetica';
   init_structure.axes_fontsize = 8;
   init_structure.title_fontname = 'Helvetica';
   init_structure.title_fontsize = 9;
   init_structure.label_fontname = 'Helvetica';
   init_structure.label_fontsize = 8;
else;
   init_structure.axes_fontname = 'Helvetica';
   init_structure.axes_fontsize = 8;
   init_structure.title_fontname = 'Helvetica';
   init_structure.title_fontsize = 9;
   init_structure.label_fontname = 'Helvetica';
   init_structure.label_fontsize = 8;
end;
init_structure.text_fontweight = 'normal';
init_structure.text_fontangle = 'normal';
init_structure.text_fontunits = 'points';
init_structure.text_color = [0 0 0];
init_structure.text_backgroundcolor = [1 1 1];
init_structure.axes_fontweight = 'normal';
init_structure.axes_fontangle = 'normal';
init_structure.axes_fontunits = 'points';
init_structure.axes_color = [0 0 0];
init_structure.title_fontweight = 'normal';
init_structure.title_fontangle = 'normal';
init_structure.title_fontunits = 'points';
init_structure.title_color = [0 0 0];
init_structure.label_fontweight = 'normal';
init_structure.label_fontangle = 'normal';
init_structure.label_fontunits = 'points';
init_structure.label_color = [0 0 0];
if strcmp(computer,'PCWIN')==1;
   init_structure.helpexe = 'hh.exe';
   init_structure.editor = 'notepad.exe';
   init_structure.simulatedir = [pwd '\simulate\'];
else;
   init_structure.helpexe = '';
   init_structure.editor = '';
   init_structure.simulatedir = [pwd '/simulate'];
end;
init_structure.random_state = 1;
init_structure.nRep = 10000;
init_structure.nDraw = 500;
init_structure.interpolate = 'kepan';
init_structure.invert_hardcopy = 1;
init_structure.center_value = 6;
init_structure.fill_value = 6;
init_structure.crop_image = 0;
init_structure.edit_context = 0;
init_structure.z_buffer = 0;
init_structure.use_toolbar_bgcolor = 0;
init_structure.gui_light_color = [1 1 1];
init_structure.gui_shade_color = [0.5 0.5 0.5];
init_structure.gui_dark_color = [0 0 0];
init_structure.reuse_bootstrap = 0;
init_structure.taylor_nyblom = 0;
init_structure.nyblombeta = 0;
init_structure.bartserial = 0;
init_structure.lbcorrect = 0;
init_structure.identify = 1;
init_structure.ytick = 0;
init_structure.latex = '';
init_structure.dviviewer = '';
init_structure.distiller = '';
init_structure.psviewer = '';
init_structure.pdfviewer = '';
init_structure.texoutputformat = 1;
init_structure.texheader = '\documentclass[12pt]{article}|\usepackage[T1]{fontenc}|\usepackage[ansinew]{inputenc}|\usepackage{amsmath,amssymb}|';
init_structure.dvipdfm = 0;
init_structure.outofsample = 0;
init_structure.xtick = 0;
init_structure.loadicon = 0;
init_structure.pstoolsdir = '';
init_structure.loadguiicon = 0;
init_structure.delay = 150;
init_structure.tempdir = '';
init_structure.browsedialog = 0;
init_structure.opendialog = 0;
init_structure.noicon = 0;
init_structure.pdfversion = '1.2';
init_structure.recpi = 0;
init_structure.logtab = 0;
init_structure.maximizeviewer = 0;
init_structure.symmetric = 0;
init_structure.rectrace = 0;
init_structure.exportdata = 5;
init_structure.forecasthorizon = 1;
init_structure.excludestat = 0;
init_structure.noise_parm = 0.01;
init_structure.clearlog = 0;
init_structure.parametric = 1;
init_structure.dummytests = 0;
init_structure.commoncycles = 0;
init_structure.blocksize = 1;
init_structure.normbeta = 0;
init_structure.decompose_det = 0;
init_structure.burn_in = 1000;
init_structure.save_draws = 5000;
init_structure.save_freq = 1;
init_structure.lambda_b = 0.30;
init_structure.lambda_theta = 0.00;
init_structure.lambda_l = 1.0;
init_structure.lambda_e = 0.5;
init_structure.lambda_d = 1.0;
init_structure.lambda_alpha = 1.0;
init_structure.ms_maxlag = 12;
init_structure.discard_explosive = 1;
init_structure.prior_inf_shortrun = 2;
init_structure.prior_inf_deter = 2;
init_structure.prior_inf_alpha = 1;
init_structure.prior_inf_omega = 1;
init_structure.bad_draws = 1;
init_structure.amat_type = 1;
init_structure.lambda_a = 1;
init_structure.q_df = 1;
init_structure.amat_lag = 1;
init_structure.gui_fontweight = 'normal';
init_structure.gui_fontangle = 'normal';
[fn,fs] = getuifont;
init_structure.gui_fontname = fn;
init_structure.gui_fontsize = fs;
init_structure.gui_font = 0;
init_structure.show_undo = 0;
init_structure.frame_color = [0.50196 0 0];
if (iswinxp==1)&(matlabnumber>=7);
   init_structure.frame_color = [0 0 0.7];
end;
init_structure.frame_light_color = [1 1 1];
init_structure.frame_shade_color = [0.5 0.5 0.5];
init_structure.frame_dark_color = [0 0 0];
init_structure.gui_foreground_color = [0 0 0.4];
init_structure.rest_march = 0;
init_structure.excludediffs = 0;
init_structure.decimals = 4;
init_structure.progress_facecolor = (1/255)*[166 210 255];
init_structure.progress_edgecolor = [0 0 0];
init_structure.progress_bgcolor = [1 1 1];
init_structure.progress_startfacecolor = (1/255)*[0 36 104];

%
% end of initialize_inifile.m
%
