function movetext_fcn(in)

this_fig = findobj('Type','figure','Tag','StructuralVAR');
model = get(this_fig,'UserData');

if in==1;
   fig = gcf;
   ax_prop.figuts = get(fig,'units');
   set(fig,'pointer','fleur');
   if strcmp(ax_prop.figuts,'normalized');
      set(fig,'units','pixels');  
      pnt = get(fig,'currentpoint');
      pos = get(fig,'position');
      pnt = [pnt(1) * pos(3) pnt(2) * pos(4)];
   else,
      set(fig,'units','pixels');
      pnt=get(fig,'currentpoint');
   end
   axes_pos = get(gca,'Position');
   pnt = pnt-axes_pos(1:2);
   my_text = gco;
   my_min=1e20;
   units=get(my_text,'units');
   set(my_text,'units','pixels')
   cap=get(my_text,'position');
   if sum((pnt-cap(1:2)).^2)<my_min;
       mn=sum((pnt-cap(1:2)).^2);
       ax_prop.delta=cap(1:2)-pnt;
   end
   set(my_text,'units',units);
   ud = get(my_text,'userdata');
   ax_prop.oldca = gca;
   set(fig,'currentobject',my_text);          
   ax_prop.hl=[my_text abs(get(my_text,'units'))];
   ax_prop.old_wbmf = get(fig,'windowbuttonmotionfcn');
   ax_prop.old_wbuf = get(fig,'windowbuttonupfcn');
   set(fig,'windowbuttonmotionfcn','movetext_fcn(2)','windowbuttonupfcn','movetext_fcn(3)');
   set(model.filemenu,'UserData',ax_prop);
elseif in==2;
   ax_prop = get(model.filemenu,'UserData');
   fig = gcf;
   oldu = get(gco,'Units');
   set(gco,'Units','pixels');
   pos = get(gco,'Position');
   set(gco,'units','pixels',...
      'position',[get(fig,'currentpoint')+ax_prop.delta pos(3)]);
   set(gco,'Units',oldu);
   set(model.filemenu,'UserData',ax_prop);
elseif in==3;
   ax_prop = get(model.filemenu,'UserData');
   fig = gcf;
   %
   % fix position of text
   %
   ax_cp = get(gca,'CurrentPoint');
   if ax_cp(1,3)+ax_cp(2,3)==0;
      ax_cp = [ax_cp(1,1:2) 0];
   else;
      ax_cp = ax_cp(1,:);
   end;
   set(gco,'Position',ax_cp);
   set(fig,'WindowButtonMotionfcn',ax_prop.old_wbmf, ...
       'pointer','arrow','currentaxes',ax_prop.oldca, ...
       'windowbuttonupfcn',ax_prop.old_wbuf);
   set(ax_prop.hl(1),'units',setstr(ax_prop.hl(2:length(ax_prop.hl))));
   set(fig,'units',ax_prop.figuts);
   set(model.filemenu,'UserData',[]);
end;

%
% end of movetext_fcn.m
%
