function movexlabel_fcn(in)

this_fig = findobj('Type','figure','Tag','StructuralVAR');
model = get(this_fig,'UserData');

if in==1;
   fig = gcf;
   ax_prop.figuts = get(fig,'units');
   set(fig,'pointer','fleur');
   if strcmp(ax_prop.figuts,'normalized');
      set(fig,'units','pixels');  
      pnt = get(fig,'currentpoint');
      pos = get(fig,'position');
      pnt = [pnt(1) * pos(3) pnt(2) * pos(4)];
   else,
      set(fig,'units','pixels');
      pnt=get(fig,'currentpoint');
   end
   my_xlabel = get(gca,'XLabel');
   my_min=1e20;
   units=get(my_xlabel,'units');
   set(my_xlabel,'units','pixels')
   cap=get(my_xlabel,'position');
   if sum((pnt-cap(1:2)).^2)<my_min;
       mn=sum((pnt-cap(1:2)).^2);
       ax_prop.delta=cap(1:2)-pnt;
   end
   set(my_xlabel,'units',units);
   ud = get(my_xlabel,'userdata');
   ax_prop.oldca = gca;
   set(fig,'currentobject',my_xlabel);          
   ax_prop.hl=[my_xlabel abs(get(my_xlabel,'units'))];
   set(my_xlabel,'units','pixels');
   set(fig,'windowbuttonmotionfcn','movexlabel_fcn(2)','windowbuttonupfcn','movexlabel_fcn(3)');
   set(model.filemenu,'UserData',ax_prop);
elseif in==2;
   ax_prop = get(model.filemenu,'UserData');
   fig = gcf;
   oldu = get(get(gca,'XLabel'),'Units');
   set(get(gca,'XLabel'),'Units','pixels');
   pos = get(get(gca,'XLabel'),'Position');
   set(get(gca,'XLabel'),'units','pixels',...
      'position',[get(fig,'currentpoint')+ax_prop.delta pos(3)]);
   set(get(gca,'XLabel'),'Units',oldu);
   set(model.filemenu,'UserData',ax_prop);
elseif in==3;
   ax_prop = get(model.filemenu,'UserData');
   fig = gcf;
   set(fig,'WindowButtonMotionfcn','', ...
       'pointer','arrow','currentaxes',ax_prop.oldca, ...
       'windowbuttonupfcn','');
   set(ax_prop.hl(1),'units',setstr(ax_prop.hl(2:length(ax_prop.hl))));
   set(fig,'units',ax_prop.figuts);
   set(model.filemenu,'UserData',[]);
end;

%
% end of movexlabel_fcn.m
%
