function x = chisq_inv(p,v)

% Call the gamma inverse function. 
x = gamma_inv(p,v/2,2);

% Return NaN if the degrees of freedom is not a positive integer.
k = find(v < 0  |  round(v) ~= v);
if any(k)
    tmp  = NaN;
    x(k) = tmp(ones(size(k)));
end

%
% end of chisq_inv.m
%
