function status = show_pdf(file)

if nargin==0;
   file = get(gcbo,'UserData');
end;

stat = 1;
if strcmp(lower(getext(file)),'.pdf')==0;
   return;
end;

curr_ini = find_inisettings;

prog = '';
if appexist(curr_ini.pdfviewer)==1;
   prog = curr_ini.pdfviewer;
end;
if strcmp(prog,'')==1;
   if appexist(curr_ini.psviewer)==1;
      prog = curr_ini.psviewer;
   end;
   if strcmp(prog,'')==1;
      if appexist(curr_ini.epsviewer)==1;
         prog = curr_ini.epsviewer;
      end;
   end;
end;

if strcmp(prog,'')==0;
   viewers = prog;
   prog = [fix_filepath(prog) ' ' fix_filepath(file) ' &'];
   prog = fixcmd(prog);
   if strcmp(computer,'PCWIN')==1;
      stat = dos(prog);
      maximize_prog(file,viewers);
   else;
      if isunix==1;
         stat = unix(prog);
      end;
   end;
end;

if nargout==1;
   status = stat;
end;

%
% end of show_pdf.m
%
