function show_vardecomp(mm,vardec,std_vardec)

curr_ini = find_inisettings;
h = size(vardec,2);
realscrsz = get(0,'ScreenSize');
txt_str = strvcat(' ','VARIANCE DECOMPOSITIONS','=======================',' ');
prt_str = '   %s  ';
head_str = 'period: %0.0f';
for i=1:mm.n;
   prt_str = [prt_str '   %0.' num2str(curr_ini.decimals,'%0.0f') 'f'];
   head_str = [head_str '     ' mm.myshocks(i,:)];
end;
%
for i=1:h;
   vd = vecinv(vardec(:,i),mm.n);
   std_vd = vecinv(std_vardec(:,i),mm.n);
   txt_str = strvcat(txt_str,sprintf(head_str,i));
   for j=1:mm.n;
      txt_str = strvcat(txt_str,sprintf(prt_str,mm.myvars(j,:),vd(j,:)));
   end;
   txt_str = strvcat(txt_str,' ','Asymptotic standard errors:',' ');
   for j=1:mm.n;
      txt_str = strvcat(txt_str,sprintf(prt_str,mm.myvars(j,:),std_vd(j,:)));
   end;
   %
   if i<h;
      txt_str = strvcat(txt_str,' ','~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~',' ');
   else;
      txt_str = strvcat(txt_str,' ');
   end;
end;
%
txt_str = strvcat(txt_str,' ');
textgui(txt_str,'Variance Decompositions',[(realscrsz(3)-680)/2 (realscrsz(4)-400)/2 680 400],'Results',38);

%
% end of show_vardecomp.m
%
