function toolbar_moveright_fcn

h = get(0,'CurrentFigure');
toolbar = get(h,'UserData');
axeshandles = get(toolbar.print,'UserData');
azel_vec = get(toolbar.rotate,'UserData');
az_pos = azel_vec(1);
az_move = azel_vec(3);
el_pos = azel_vec(2);

if (az_pos-az_move)<=-360;
   new_pos = [(az_pos-az_move)+360 el_pos];
else;
   new_pos = [az_pos-az_move el_pos];
end;

azel_vec(1:2) = new_pos;

for i=1:size(axeshandles,2);
   %
   % make sure all titles and labels use normalized units
   % when changing the view
   %
%   old_title = get(axeshandles(1,i),'Title');
%   old_title_units = get(old_title,'Units');
%   set(old_title,'Units','normalized');
%   old_xlabel = get(axeshandles(1,i),'XLabel');
%   old_xlabel_units = get(old_xlabel,'Units');
%   set(old_xlabel,'Units','normalized');
%   old_ylabel = get(axeshandles(1,i),'YLabel');
%   old_ylabel_units = get(old_ylabel,'Units');
%   set(old_ylabel,'Units','normalized');
%   old_zlabel = get(axeshandles(1,i),'ZLabel');
%   old_zlabel_units = get(old_zlabel,'Units');
%   set(old_zlabel,'Units','normalized');
   %
   % move view
   %
   set(axeshandles(1,i),'View',new_pos);
   %
   % set titles and labels to original units
   %
%   set(old_title,'Units',old_title_units);
%   set(old_xlabel,'Units',old_xlabel_units);
%   set(old_ylabel,'Units',old_ylabel_units);
%   set(old_zlabel,'Units',old_zlabel_units);
end;

set(toolbar.rotate,'UserData',azel_vec);

%
% end of toolbar_moveright_fcn.m
%
