function f_max = carr_hu_plob_max(h,mu_1,mu_2_inner);

nump = size(mu_2_inner,1);
T = size(mu_1,2);

mu_2 = h'*mu_2_inner*kron(eye(T),h);
GammaT = sum(mu_2,2);
M_mu1 = eye(T)-(mu_1'*inverse(mu_1*mu_1')*mu_1);
denomT = sqrt(mu_2*M_mu1*mu_2');
f_max = -real(GammaT/denomT);

%
% carr_hu_plob_max.m
%
