function [outname,outpath] = fileopen(basedir,file_fltr,best_pos,title_txt)

if nargin==0;
   basedir = pwd;
   file_fltr = 'All files (*.*)|*.*|';
   best_pos = 1;
   title_txt = 'Open';
end;
h = get(0,'CurrentFigure');

prog = ['bin\run_prog.exe bin\fileopen.exe "' basedir '" "' file_fltr '" "' num2str(best_pos) '" "' get(h,'Name') '" "' title_txt '"'];
dos(prog);
drawnow;
file = [pwd '\bin\fileopen.txt'];
stat = waitfor_filewrite(file,'t');
drawnow;
drawnow;
if stat==0;
   txt = readtext(file);
   if iscellstr(txt)==1;
      txt = strtrim(txt{1});
   else;
      txt = 'cancel';
   end;
   if strcmp(lower(txt),'cancel')==1;
      txt = 0;
   end;
   outname = txt;
   delete_file_fcn(file);
   outpath = 0;
   if ischar(outname)==1;
      outpath = getpath(outname);
      outname = getfilename(outname);
   end;
else;
   outpath = 0;
   outname = 0;
end;

%
% end of fileopen.m
%
