function fml = fml_crit(epsilon,max_parm,a,b)


%
% Computes the fractional marginal likelihood criterion
%

[n T] = size(epsilon);
Omega = (1/T)*epsilon*epsilon';
fml = log(det(Omega))-((2/(T-max_parm))*gamma_product(n,a,b));

%
% end of fml_crit.m
%
