function out = islinetimeseries(line_handle)

out = 0;
if (isempty(line_handle)==0)&(ishandle(line_handle)==1);
   tag = get(line_handle,'Tag');
   %
   % make sure line is not an impulse response
   %
   if size(tag,2)>=3;
      tag = tag(1,1:3);
   end;
   if (strcmp(tag,'ir-')==0)&(strcmp(tag,'gir')==0)&(strcmp(tag,'')==0);
      x_data = get(line_handle,'XData');
      %
      % Try to figure out frequency and if we have an interesting line
      %
      if size(x_data,1)>1;
         x_data = x_data';
      end;
      l_freq = '';
      if size(x_data,2)>1;
         ch_freq = x_data(1,2)-x_data(1,1);
         if isalmostequal(ch_freq,1)==1;
            l_freq = 'y';
         elseif isalmostequal(ch_freq,1/4)==1;
            l_freq = 'q';
         elseif isalmostequal(ch_freq,1/12)==1;
            l_freq = 'm';
         end;
         if strcmp(l_freq,'')==0;
            out = 1;
         end;
      end;
   end;
end;

%
% end of islinetimeseries.m
%
