function legend_lock_fcn

curr_str = get(gcbo,'Label');
if strcmp(curr_str,'Unlock Legend')==1;
   set(gcbo,'Label','Lock Legend');
   bdfcn = 'moveaxis_var';
else;
   set(gcbo,'Label','Unlock Legend');
   bdfcn = '';
end;

set(gco,'ButtonDownFcn',bdfcn);
%
% make sure all line, text, and patch objects on the
% legend receive the buttondown function
%
leg_obj = [findobj(gco,'Type','text')' findobj(gco,'Type','line')' findobj(gco,'Type','patch')'];
if isempty(leg_obj)==0;
   for i=1:size(leg_obj,2);
      set(leg_obj(1,i),'ButtonDownFcn',bdfcn);
   end;
end;

%
% end of legend_lock_fcn.m
%
