function [out,m_v,oldmodel_var] = main_checkother_fcn(out,m_v,oldmodel_var,button_images)

backexo1file = m_v.exo1file;
m_v.exo1file = strtrim(get(out.exogenous1,'String'));
backexo0file = m_v.exo0file;
m_v.exo0file = strtrim(get(out.exogenous0,'String'));
backdeterfile = m_v.deterfile;
m_v.deterfile = strtrim(get(out.deterministic,'String'));
backoutputfile = m_v.outputfile;
m_v.outputfile = strtrim(get(out.outputfile,'String'));
%
% test if data has changed and if so change value of Enable
% property of out.store and out.savemenu depending on if new
% 'String' property is valid. The modelsdir variable also needs to
% be fixed
%
if strcmp(m_v.exo1file,backexo1file)==0;
   if fileexist(m_v.exo1file)==1;
      backsheet = m_v.exo1sheet;
      [n,filestatus,dtstr,m_v.exo1sheet,action] = loaddata(m_v.exo1file);
      if (filestatus==1)&(strcmp(action,'Cancel')==0);
         %
         % Try to determine names
         %
         [newxvars1,mystatus] = readnames(m_v.exo1file,m_v.exo1sheet);
         if mystatus==1;
            checkvars = get(out.exo1names,'UserData');
            if strcmp(checkvars,newxvars1)==0;
               m_v.xvars1 = newxvars1;
               oldmodel_var.xvars1 = checkvars;
               set(out.exo1names,'UserData',m_v.xvars1);
            end;
         else;
            if strcmp(m_v.exo1file,oldmodel_var.exo1file)==0;
               oldmodel_var.xvars1 = m_v.xvars1;
               m_v.xvars1 = '';
               set(out.exo1names,'UserData',m_v.xvars1);
            end;
         end;
         %
         if isempty(m_v.exo1sheet)==1;
            set(out.exo1sheettext,'String','Data sheet: None');
         else;
            set(out.exo1sheettext,'String',['Data sheet: ' m_v.exo1sheet]);
         end;
         set(out.store,'Enable','on');
         set(out.savemenu,'Enable','on');
         oldmodel_var.exo1file = backexo1file;
         set(out.exo1names,'Enable','on');
         set(out.exo1namesmenu,'Enable','on');
         set(out.change_exo1names,'Enable','on','CData',button_images.rename);
         if strcmp(strtrim(m_v.xvars1),'')==1;
            set(out.exogenous1text,'String','Exogenous I(1) variables:  Not determined');
         else;
            set(out.exogenous1text,'String',['Exogenous I(1) variables:  ' m_v.xvars1]);
         end;
         set(out.exo1graphicsmenu,'Enable','on');
      elseif (filestatus==0)&(strcmp(action,'Cancel')==0);
         if (matlabnumber<6.0)&(strcmp(getext(m_v.exo1file),'.xls')==1)&(iscompiled==0);
            txt = ['The file you selected, ' getfilename(m_v.exo1file) ', is an Excel spreadsheet. It cannot be read by this version of Matlab.'];
         elseif (matlabnumber<6.0)&(strcmp(getext(m_v.exo1file),'.xls')==1)&(iscompiled==1);
            txt = ['The file you selected, ' getfilename(m_v.exo1file) ', is an Excel spreadsheet. It cannot be read since the stand-alone release compilation was based on MatLab version ' matlabversion '.'];
         else;
            txt = ['The file you selected, ' getfilename(m_v.exo1file) ', does not contain any numeric data.'];
         end;
         about(txt,'error','Bad data...',120,400);
         m_v.exo1sheet = backsheet;
         m_v.exo1file = backexo1file;
         set(out.exogenous1,'String',m_v.exo1file);
         if strcmp(strtrim(m_v.xvars1),'')==1;
            set(out.exogenous1text,'String','Exogenous I(1) variables:  Not determined');
         else;
            set(out.exogenous1text,'String',['Exogenous I(1) variables:  ' m_v.xvars1]);
         end;
      elseif (filestatus==-1)&(strcmp(action,'Cancel')==0);
         txt = ['The file you selected, ' getfilename(m_v.exo1file) ', has missing observations.'];
         about(txt,'error','Bad data...',120,400);
         m_v.exo1sheet = backsheet;
         m_v.exo1file = backexo1file;
         set(out.exogenous1,'String',m_v.exo1file);
         if strcmp(strtrim(m_v.xvars1),'')==1;
            set(out.exogenous1text,'String','Exogenous I(1) variables:  Not determined');
         else;
            set(out.exogenous1text,'String',['Exogenous I(1) variables:  ' m_v.xvars1]);
         end;
      elseif strcmp(action,'Cancel')==1;
         m_v.exo1sheet = backsheet;
         m_v.exo1file = backexo1file;
         set(out.exogenous1,'String',m_v.exo1file);
         if strcmp(strtrim(m_v.xvars1),'')==1;
            set(out.exogenous1text,'String','Exogenous I(1) variables:  Not determined');
         else;
            set(out.exogenous1text,'String',['Exogenous I(1) variables:  ' m_v.xvars1]);
         end;
      end;
   else;
      if isempty(strtrim(m_v.exo1file))==0;
         m_v.exo1file = backexo1file;
         set(out.exogenous1,'String',m_v.exo1file);
         if strcmp(strtrim(m_v.xvars1),'')==1;
            set(out.exogenous1text,'String','Exogenous I(1) variables:  Not determined');
         else;
            set(out.exogenous1text,'String',['Exogenous I(1) variables:  ' m_v.xvars1]);
         end;
      else;
         oldmodel_var.exo1file = backexo1file;
         oldmodel_var.exo1sheet = m_v.exo1sheet;
         m_v.exo1file = '';
         m_v.exo1sheet = '';
         set(out.exo1sheettext,'String','Data sheet: None');
         set(out.store,'Enable','on');
         set(out.savemenu,'Enable','on');
         set(out.exo1names,'Enable','off');
         set(out.exo1namesmenu,'Enable','off');
         set(out.change_exo1names,'Enable','off','CData',button_images.renamedisable);
         oldmodel_var.xvars1 = m_v.xvars1;
         m_v.xvars1 = '';
         set(out.exo1names,'UserData',m_v.xvars1);
         set(out.exogenous1text,'String','Exogenous I(1) variables:  None');
         set(out.exo1graphicsmenu,'Enable','off');
      end;
   end;
end;
if strcmp(m_v.exo0file,backexo0file)==0;
   if fileexist(m_v.exo0file)==1;
      backsheet = m_v.exo0sheet;
      [n,filestatus,dtstr,m_v.exo0sheet,action] = loaddata(m_v.exo0file);
      if (filestatus==1)&(strcmp(action,'Cancel')==0);
         %
         % Try to determine names
         %
         [newxvars0,mystatus] = readnames(m_v.exo0file,m_v.exo0sheet);
         if mystatus==1;
            checkvars = get(out.exo0names,'UserData');
            if strcmp(checkvars,newxvars0)==0;
               m_v.xvars0 = newxvars0;
               oldmodel_var.xvars0 = checkvars;
               set(out.exo0names,'UserData',m_v.xvars0);
            end;
         else;
            if strcmp(m_v.exo0file,oldmodel_var.exo0file)==0;
               oldmodel_var.xvars0 = m_v.xvars0;
               m_v.xvars0 = '';
               set(out.exo0names,'UserData',m_v.xvars0);
            end;
         end;
         %
         if isempty(m_v.exo0sheet)==1;
            set(out.exo0sheettext,'String','Data sheet: None');
         else;
            set(out.exo0sheettext,'String',['Data sheet: ' m_v.exo0sheet]);
         end;
         set(out.store,'Enable','on');
         set(out.savemenu,'Enable','on');
         oldmodel_var.exo0file = backexo0file;
         set(out.exo0names,'Enable','on');
         set(out.exo0namesmenu,'Enable','on');
         set(out.change_exo0names,'Enable','on','CData',button_images.rename);
         if strcmp(strtrim(m_v.xvars0),'')==1;
            set(out.exogenous0text,'String','Exogenous I(0) variables:  Not determined');
         else;
            set(out.exogenous0text,'String',['Exogenous I(0) variables:  ' m_v.xvars0]);
         end;
         set(out.exo0graphicsmenu,'Enable','on');
      elseif (filestatus==0)&(strcmp(action,'Cancel')==0);
         if (matlabnumber<6.0)&(strcmp(getext(m_v.exo0file),'.xls')==1)&(iscompiled==0);
            txt = ['The file you selected, ' getfilename(m_v.exo0file) ', is an Excel spreadsheet. It cannot be read by this version of Matlab.'];
         elseif (matlabnumber<6.0)&(strcmp(getext(m_v.exo0file),'.xls')==1)&(iscompiled==1);
            txt = ['The file you selected, ' getfilename(m_v.exo0file) ', is an Excel spreadsheet. It cannot be read since the stand-alone release compilation was based on MatLab version ' matlabversion '.'];
         else;
            txt = ['The file you selected, ' getfilename(m_v.exo0file) ', does not contain any numeric data.'];
         end;
         about(txt,'error','Bad data...',120,400);
         m_v.exo0sheet = backsheet;
         m_v.exo0file = backexo0file;
         set(out.exogenous0,'String',m_v.exo0file);
         if strcmp(strtrim(m_v.xvars0),'')==1;
            set(out.exogenous0text,'String','Exogenous I(0) variables:  Not determined');
         else;
            set(out.exogenous0text,'String',['Exogenous I(0) variables:  ' m_v.xvars0]);
         end;
      elseif (filestatus==-1)&(strcmp(action,'Cancel')==0);
         txt = ['The file you selected, ' getfilename(m_v.exo0file) ', has missing observations.'];
         about(txt,'error','Bad data...',120,400);
         m_v.exo0sheet = backsheet;
         m_v.exo0file = backexo0file;
         set(out.exogenous0,'String',m_v.exo0file);
         if strcmp(strtrim(m_v.xvars0),'')==1;
            set(out.exogenous0text,'String','Exogenous I(0) variables:  Not determined');
         else;
            set(out.exogenous0text,'String',['Exogenous I(0) variables:  ' m_v.xvars0]);
         end;
      elseif strcmp(action,'Cancel')==1;
         m_v.exo0sheet = backsheet;
         m_v.exo0file = backexo0file;
         set(out.exogenous0,'String',m_v.exo0file);
         if strcmp(strtrim(m_v.xvars0),'')==1;
            set(out.exogenous0text,'String','Exogenous I(0) variables:  Not determined');
         else;
            set(out.exogenous0text,'String',['Exogenous I(0) variables:  ' m_v.xvars0]);
         end;
      end;
   else;
      if isempty(strtrim(m_v.exo0file))==0;
         m_v.exo0file = backexo0file;
         set(out.exogenous0,'String',m_v.exo0file);
         if strcmp(strtrim(m_v.xvars0),'')==1;
            set(out.exogenous0text,'String','Exogenous I(0) variables:  Not determined');
         else;
            set(out.exogenous0text,'String',['Exogenous I(0) variables:  ' m_v.xvars0]);
         end;
      else;
         oldmodel_var.exo0file = backexo0file;
         oldmodel_var.exo0sheet = m_v.exo0sheet;
         m_v.exo0file = '';
         m_v.exo0sheet = '';
         set(out.exo0sheettext,'String','Data sheet: None');
         set(out.store,'Enable','on');
         set(out.savemenu,'Enable','on');
         set(out.exo0names,'Enable','off');
         set(out.exo0namesmenu,'Enable','off');
         set(out.change_exo0names,'Enable','off','CData',button_images.renamedisable);
         oldmodel_var.xvars0 = m_v.xvars0;
         m_v.xvars0 = '';
         set(out.exo0names,'UserData',m_v.xvars0);
         set(out.exogenous0text,'String','Exogenous I(0) variables:  None');
         set(out.exo0graphicsmenu,'Enable','off');
      end;
   end;
end;
if strcmp(m_v.deterfile,backdeterfile)==0;
   if fileexist(m_v.deterfile)==1;
      backsheet = m_v.detersheet;
      [n,filestatus,dtstr,m_v.detersheet,action] = loaddata(m_v.deterfile);
      if (filestatus==1)&(strcmp(action,'Cancel')==0);
         %
         % Try to determine names
         %
         [newdeter,mystatus] = readnames(m_v.deterfile,m_v.detersheet);
         if mystatus==1;
            checkvars = get(out.deternames,'UserData');
            if strcmp(checkvars,newdeter)==0;
               m_v.deter = newdeter;
               oldmodel_var.deter = checkvars;
               set(out.deternames,'UserData',m_v.deter);
            end;
         else;
            if strcmp(m_v.deterfile,oldmodel_var.deterfile)==0;
               oldmodel_var.deter = m_v.deter;
               m_v.deter = '';
               set(out.deternames,'UserData',m_v.deter);
            end;
         end;
         %
         if isempty(m_v.detersheet)==1;
            set(out.detersheettext,'String','Data sheet: None');
         else;
            set(out.detersheettext,'String',['Data sheet: ' m_v.detersheet]);
         end;
         set(out.store,'Enable','on');
         set(out.savemenu,'Enable','on');
         oldmodel_var.deterfile = backdeterfile;
         set(out.deternames,'Enable','on');
         set(out.deternamesmenu,'Enable','on');
         set(out.change_deternames,'Enable','on','CData',button_images.rename);
         if strcmp(strtrim(m_v.deter),'')==1;
            set(out.deterministictext,'String','Deterministic variables:  Not determined');
         else;
            set(out.deterministictext,'String',['Deterministic variables:  ' m_v.deter]);
         end;
         set(out.detergraphicsmenu,'Enable','on');
      elseif (filestatus==0)&(strcmp(action,'Cancel')==0);
         if (matlabnumber<6.0)&(strcmp(getext(m_v.deterfile),'.xls')==1)&(iscompiled==0);
            txt = ['The file you selected, ' getfilename(m_v.deterfile) ', is an Excel spreadsheet. It cannot be read by this version of Matlab.'];
         elseif (matlabnumber<6.0)&(strcmp(getext(m_v.deterfile),'.xls')==1)&(iscompiled==1);
            txt = ['The file you selected, ' getfilename(m_v.deterfile) ', is an Excel spreadsheet. It cannot be read since the stand-alone release compilation was based on MatLab version ' matlabversion '.'];
         else;
            txt = ['The file you selected, ' getfilename(m_v.deterfile) ', does not contain any numeric data.'];
         end;
         about(txt,'error','Bad data...',120,400);
         m_v.detersheet = backsheet;
         m_v.deterfile = backdeterfile;
         set(out.deterministic,'String',m_v.deterfile);
         if strcmp(strtrim(m_v.deter),'')==1;
            set(out.deterministictext,'String','Deterministic variables:  Not determined');
         else;
            set(out.deterministictext,'String',['Deterministic variables:  ' m_v.deter]);
         end;
      elseif (filestatus==-1)&(strcmp(action,'Cancel')==0);
         txt = ['The file you selected, ' getfilename(m_v.deterfile) ', has missing observations.'];
         about(txt,'error','Bad data...',120,400);
         m_v.detersheet = backsheet;
         m_v.deterfile = backdeterfile;
         set(out.deterministic,'String',m_v.deterfile);
         if strcmp(strtrim(m_v.deter),'')==1;
            set(out.deterministictext,'String','Deterministic variables:  Not determined');
         else;
            set(out.deterministictext,'String',['Deterministic variables:  ' m_v.deter]);
         end;
      elseif strcmp(action,'Cancel')==1;
         m_v.detersheet = backsheet;
         m_v.deterfile = backdeterfile;
         set(out.deterministic,'String',m_v.deterfile);
         if strcmp(strtrim(m_v.deter),'')==1;
            set(out.deterministictext,'String','Deterministic variables:  Not determined');
         else;
            set(out.deterministictext,'String',['Deterministic variables:  ' m_v.deter]);
         end;
      end;
   else;
      if isempty(strtrim(m_v.deterfile))==0;
         m_v.deterfile = backdeterfile;
         set(out.deterministic,'String',m_v.deterfile);
         if strcmp(strtrim(m_v.deter),'')==1;
            set(out.deterministictext,'String','Deterministic variables:  Not determined');
         else;
            set(out.deterministictext,'String',['Deterministic variables:  ' m_v.deter]);
         end;
      else;
         oldmodel_var.deterfile = backdeterfile;
         oldmodel_var.detersheet = m_v.detersheet;
         m_v.deterfile = '';
         m_v.detersheet = '';
         set(out.detersheettext,'String','Data sheet: None');
         set(out.store,'Enable','on');
         set(out.savemenu,'Enable','on');
         set(out.deternames,'Enable','off');
         set(out.deternamesmenu,'Enable','off');
         set(out.change_deternames,'Enable','off','CData',button_images.renamedisable);
         oldmodel_var.deter = m_v.deter;
         m_v.deter = '';
         set(out.deternames,'UserData',m_v.deter);
         set(out.deterministictext,'String','Deterministic variables:  None');
         set(out.detergraphicsmenu,'Enable','off');
      end;
   end;
end;
if strcmp(m_v.outputfile,backoutputfile)==0;
   set(out.store,'Enable','on');
   set(out.savemenu,'Enable','on');
   oldmodel_var.deterfile = backdeterfile;
end;
if fileexist(m_v.outputfile)==1;
   set(out.print,'Enable','on');
   set(out.printpreview,'Enable','on');
   set(out.printmenu,'Enable','on');
   set(out.printpreviewmenu,'Enable','on');
else;
   set(out.print,'Enable','off');
   set(out.printpreview,'Enable','off');
   set(out.printmenu,'Enable','off');
   set(out.printpreviewmenu,'Enable','off');
end;
%
% lake care of lags on exogenous variable
%
if (fileexist(m_v.exo1file)==0)&(fileexist(m_v.exo0file)==0);
   set(out.lagexo,'Enable','off','Value',1);
   set(out.lagexotext,'Enable','off');
   m_v.lagexo = 0;
else;
   if strcmp(get(out.lagexo,'Enable'),'off')==1;
      set(out.lagexo,'Enable','on');
      set(out.lagexotext,'Enable','on');
   end;
   if (strcmp(m_v.exo1file,backexo1file)==0)|(strcmp(m_v.exo0file,backexo0file)==0);
      m_v.lagexo = 0;
      set(out.lagexo,'Value',1);
   end;
end;

m_v.cointvalue = get(out.radiocoint,'Value');
m_v.newdeterselect(1,1) = get(out.uconstant,'Value');
m_v.newdeterselect(1,2) = get(out.rconstant,'Value');
m_v.newdeterselect(1,3) = get(out.utrend,'Value');
m_v.newdeterselect(1,4) = get(out.rtrend,'Value');
m_v.newmodeltype(1,1) = get(out.structural,'Value');
m_v.newmodeltype(1,2) = get(out.reduced,'Value');
m_v.newseasonal(1,1) = get(out.seasonal,'Value');
m_v.newseasonal(1,2) = get(out.noseasonal,'Value');
modeldesc = getmodeldesc(m_v);
set(out.text,'String',modeldesc);

%
% end of main_checkother_fcn.m
%
