function menu_show_hidden_fcn

h = get(0,'CurrentFigure');
toolbar = get(h,'UserData');
v_lines = findobj(h,'Type','line','LineStyle','none')';
if isempty(v_lines)==0;
   for i=1:size(v_lines,2);
      set(v_lines(1,i),'LineStyle','-');
      %
      % need to handle check-marks
      %
      ui_h = get(v_lines(1,i),'UIContextMenu');
      if isempty(ui_h)==0;
         type_h = findobj(ui_h,'Label','Type')';
         if isempty(type_h)==0;
            kids = get(type_h,'Children');
            h_none = findobj(kids,'Label','None')';
            if isempty(h_none)==0;
               set(h_none,'Checked','off');
            end;
            h_solid = findobj(kids,'Label','Solid')';
            if isempty(h_solid)==0;
               set(h_solid,'Checked','on');
            end;
         end;
      end;
   end;
   set(toolbar.hidden,'Enable','off');
end;

%
% end of menu_show_hidden_fcn.m
%
