function patch_edgecolor_fcn

h = get(0,'CurrentFigure');
my_gco = get(h,'CurrentObject');
set(my_gco,'Selected','on');
edge_color = uisetcolor(get(my_gco,'EdgeColor'),'Edge Color');

if (isnumeric(edge_color))&(size(edge_color,2)==3)&(strcmp(get(gco,'Type'),'patch')==1);
   set(my_gco,'EdgeColor',edge_color);
   if isempty(get(my_gco,'UserData'))==0;
      if ishandle(get(my_gco,'UserData'))==1;
         set(get(my_gco,'UserData'),'EdgeColor',edge_color);
      end;
   end;
   fix_fig = findobj('Tag','StructuralVAR');
   if isequal(get(fix_fig,'Color'),get(0,'defaultuicontrolbackgroundcolor'))==0;
      set(fix_fig,'Color',get(0,'defaultuicontrolbackgroundcolor'));
   end;
end;
set(my_gco,'Selected','off');

%
% end of patch_edgecolor_fcn.m
%
