function isF = isfigure_fcn( h )
%ISFIGURE True for Figure handles.
%   ISFIGURE(H) returns an array that contains 1's where the elements
%   of H are valid Figure handles and 0's where they are not.

%   Copyright 1984-2001 The MathWorks, Inc. 
%   $Revision: 1.3 $  $Date: 2001/04/15 11:59:45 $

error( nargchk(1,1,nargin) )

isF = ishghandle_fcn(h);

for i = 1:length(h(:))
	if isF(i)
		isF(i) = strcmp( get(h(i),'type'), 'figure' );
	end
end
