function btnimages = read_images

curr_ini = find_inisettings;

if strcmp(computer,'PCWIN')==1;
   file = [pwd '\mat\var-images.mat'];
else;
   file = [pwd '/mat/var-images.mat'];
end;
mycons = load(file);

if curr_ini.use_toolbar_bgcolor==1;
   bgcolor = (1/255)*(round(255*get(0,'defaultuicontrolbackgroundcolor'))-[8 4 8]);
   bgcolor(1) = max(0,bgcolor(1));
   bgcolor(2) = max(0,bgcolor(2));
   bgcolor(3) = max(0,bgcolor(3));
   bgcolor_uicontrol = bgcolor;
else;
   bgcolor = [NaN NaN NaN];
   bgcolor_uicontrol = get(0,'defaultuicontrolbackgroundcolor');
end;

%
% for maingui
%
btnimages.open = maketrans(mycons.open_image,[160 160 164],bgcolor);
%
btnimages.save = maketrans(mycons.save_image,[160 160 164],bgcolor);
%
btnimages.undo = maketrans(mycons.undo_image,[160 160 164],bgcolor);
%
btnimages.estimate = maketrans(mycons.estimate_image,[160 160 164],bgcolor);
%
btnimages.clear = maketrans(mycons.clear_image,[160 160 164],bgcolor);
%
btnimages.cut = maketrans(mycons.cut_image,[160 160 164],bgcolor);
%
btnimages.copy = maketrans(mycons.copy_image,[160 160 164],bgcolor);
%
btnimages.paste = maketrans(mycons.paste_image,[160 160 164],bgcolor);
%
btnimages.selectall = maketrans(mycons.selectall_image,[160 160 164],bgcolor);
%
btnimages.rename = maketrans(mycons.rename_image,[160 160 164],bgcolor_uicontrol);
%
btnimages.renamedisable = maketrans(mycons.renamedisable_image,[160 160 164],bgcolor_uicontrol);
%
btnimages.endo = maketrans(mycons.endo_image,[160 160 164],bgcolor);
%
btnimages.exo1 = maketrans(mycons.exo1_image,[160 160 164],bgcolor);
%
btnimages.exo0 = maketrans(mycons.exo0_image,[160 160 164],bgcolor);
%
btnimages.deter = maketrans(mycons.deter_image,[160 160 164],bgcolor);
%
btnimages.about = maketrans(mycons.about_image,[160 160 164],bgcolor);
%
btnimages.close = maketrans(mycons.close_image,[160 160 164],bgcolor);
%
btnimages.printenable = maketrans(mycons.print_image,[160 160 164],bgcolor);
%
btnimages.printpreviewenable = maketrans(mycons.printpreview_image,[160 160 164],bgcolor);
%
btnimages.logo = maketrans(mycons.logo_image,[160 160 164],bgcolor);
%
btnimages.browse = maketrans(mycons.browse_image,[160 160 164],bgcolor_uicontrol);
%
btnimages.browsedisable = maketrans(mycons.browsedisable_image,[160 160 164],bgcolor_uicontrol);
%
btnimages.viewgraphics = maketrans(mycons.viewgraphics_image,[160 160 164],bgcolor);
%
btnimages.help = maketrans(mycons.help_image,[160 160 164],bgcolor);
%
btnimages.preferences = maketrans(mycons.preferences_image,[160 160 164],bgcolor);
%
% for rankgui
%
btnimages.continue = maketrans(mycons.continue_image,[165 162 165],bgcolor);
%
btnimages.return = maketrans(mycons.return_image,[165 162 165],bgcolor);
%
btnimages.graph = maketrans(mycons.graph_image,[160 160 164],bgcolor);
%
btnimages.histogram = maketrans(mycons.histogram_image,[160 160 164],bgcolor);
%
btnimages.cv = maketrans(mycons.cv_image,[160 160 164],bgcolor);
%
btnimages.lambda = maketrans(mycons.lambda_image,[160 160 164],bgcolor);
%
btnimages.pvalue = maketrans(mycons.pvalue_image,[160 160 164],bgcolor);
%
btnimages.eigen = maketrans(mycons.eigen_image,[160 160 164],bgcolor);
%
btnimages.permcomp = maketrans(mycons.permcomp_image,[160 160 164],bgcolor);
%
btnimages.chow = maketrans(mycons.chow_image,[160 160 164],bgcolor);
%
btnimages.fluctest = maketrans(mycons.fluctest_image,[160 160 164],bgcolor);
%
% for betagui
%
btnimages.betarest = maketrans(mycons.betarest_image,[160 160 164],bgcolor);
%
btnimages.betaest = maketrans(mycons.betaest_image,[160 160 164],bgcolor);
%
btnimages.betaundo = maketrans(mycons.betaundo_image,[160 160 164],bgcolor);
%
btnimages.savebeta = maketrans(mycons.savebeta_image,[160 160 164],bgcolor);
%
btnimages.openbetarest = maketrans(mycons.openbetarest_image,[160 160 164],bgcolor);
%
if curr_ini.recalpha==0;
   btnimages.recbetaest = maketrans(mycons.recbetaest_image,[160 160 164],bgcolor);
else;
   btnimages.recbetaest = maketrans(mycons.recalphabetaest_image,[160 160 164],bgcolor);
end;
btnimages.alpharest = maketrans(mycons.alpharest_image,[160 160 164],bgcolor);
%
btnimages.alphaest = maketrans(mycons.alphaest_image,[160 160 164],bgcolor);
%
btnimages.alphaundo = maketrans(mycons.alphaundo_image,[160 160 164],bgcolor);
%
btnimages.savealpha = maketrans(mycons.savealpha_image,[160 160 164],bgcolor);
%
btnimages.openalpha = maketrans(mycons.openalpha_image,[160 160 164],bgcolor);
%
% for betadlg
%
btnimages.pickbeta = maketrans(mycons.pickbeta_image,[160 160 164],bgcolor);
%
btnimages.skipbeta = maketrans(mycons.skipbeta_image,[160 160 164],bgcolor);
%
% for alphadlg
%
btnimages.pickalpha = maketrans(mycons.pickalpha_image,[160 160 164],bgcolor);
%
btnimages.skipalpha = maketrans(mycons.skipalpha_image,[160 160 164],bgcolor);
%
% for nyblom_dist
%
btnimages.simulate = maketrans(mycons.simulate_image,[160 160 164],bgcolor);
%
btnimages.sim_full = maketrans(mycons.sim_full_image,[160 160 164],bgcolor);
%
btnimages.sim_summary = maketrans(mycons.sim_summary_image,[160 160 164],bgcolor);
%
btnimages.viewdist = maketrans(mycons.viewdist_image,[160 160 164],bgcolor);
%
btnimages.bars = maketrans(mycons.bars_image,[160 160 164],bgcolor);
%
btnimages.matfile = maketrans(mycons.matfile_image,[160 160 164],bgcolor);
%
btnimages.mfile = maketrans(mycons.mfile_image,[160 160 164],bgcolor);
%
btnimages.borg = mirrorimage(maketrans(mycons.borg_image,[160 160 164],bgcolor_uicontrol));
%
btnimages.borg1 = mirrorimage(maketrans(mycons.borg1_image,[160 160 164],bgcolor_uicontrol));
%
btnimages.borg2 = mirrorimage(maketrans(mycons.borg2_image,[160 160 164],bgcolor_uicontrol));
%
btnimages.borg3 = mirrorimage(maketrans(mycons.borg3_image,[160 160 164],bgcolor_uicontrol));
%
% additional images
%
btnimages.bootstrap = mirrorimage(maketrans(mycons.bootstrap_image,[160 160 164],[1 1 1]));
%
btnimages.bootstrapsmall = maketrans(mycons.bootstrapsmall_image,[160 160 164],bgcolor);
%
%btnimages.sr_restbig = mirrorimage(maketrans(mycons.sr_restbig_image,[160 160 164],[1 1 1]));
%
btnimages.sr_rest = maketrans(mycons.sr_rest_image,[160 160 164],bgcolor);
%
btnimages.lr_rest = maketrans(mycons.lr_rest_image,[160 160 164],bgcolor);
%
btnimages.sr_open = maketrans(mycons.sr_open_image,[160 160 164],bgcolor);
%
btnimages.lr_open = maketrans(mycons.lr_open_image,[160 160 164],bgcolor);
%
btnimages.save_sr = maketrans(mycons.save_sr_image,[160 160 164],bgcolor);
%
btnimages.save_lr = maketrans(mycons.save_lr_image,[160 160 164],bgcolor);
%
btnimages.struc_est = maketrans(mycons.struc_est_image,[160 160 164],bgcolor);
%
btnimages.struc_undo = maketrans(mycons.struc_undo_image,[160 160 164],bgcolor);
%
btnimages.signshock = maketrans(mycons.signshock_image,[160 160 164],bgcolor);
%
btnimages.irfunction = maketrans(mycons.irfunction_image,[160 160 164],bgcolor);
%
btnimages.pickb = maketrans(mycons.pickb_image,[160 160 164],bgcolor);
%
btnimages.skipb = maketrans(mycons.skipb_image,[160 160 164],bgcolor);
%
btnimages.forecast = maketrans(mycons.forecast_image,[160 160 164],bgcolor);
%
btnimages.c_est = maketrans(mycons.c_est_image,[160 160 164],bgcolor);
%
btnimages.c_undo = maketrans(mycons.c_undo_image,[160 160 164],bgcolor);
%
btnimages.pickc = maketrans(mycons.pickc_image,[160 160 164],bgcolor);
%
btnimages.skipc = maketrans(mycons.skipc_image,[160 160 164],bgcolor);
%
btnimages.save_c = maketrans(mycons.save_c_image,[160 160 164],bgcolor);
%
btnimages.c_open = maketrans(mycons.c_open_image,[160 160 164],bgcolor);
%
btnimages.c_rest = maketrans(mycons.c_rest_image,[160 160 164],bgcolor);
%
btnimages.power = maketrans(mycons.power_image,[160 160 164],bgcolor);
%
btnimages.altmodel = maketrans(mycons.altmodel_image,[160 160 164],bgcolor);
%
btnimages.txtprint = maketrans(mycons.txtprint_image,[160 160 164],bgcolor_uicontrol);
%
btnimages.probrank = maketrans(mycons.prank_image,[160 160 164],bgcolor);
btnimages.rankest = maketrans(mycons.rankest_image,[160 160 164],bgcolor);
%
btnimages.decrease_font_ui = maketrans(mycons.decreasefont_image,[160 160 164],bgcolor_uicontrol);
btnimages.increase_font_ui = maketrans(mycons.increasefont_image,[160 160 164],bgcolor_uicontrol);
%
% to avoid reloading, make all images available
%
btnimages.mycons = mycons;
%
% end of read_images.m
%
