function run_links

main_fig = findobj('Type','figure','Tag','StructuralVAR','Visible','on')';
model = [];
if isempty(main_fig)==0;
   model = get(main_fig,'UserData');
end;

fig = gcf;

co = overhiddenobj_fcn('axes');
if (isempty(co)==0)&(strcmp(lower(get(fig,'SelectionType')),'normal')==1);
   tag = get(co,'Tag');
   if strcmp(tag,'url_axes')==1;
      %
      % reset status bar
      %
      if isempty(model)==0;
         set(model.statusbar,'String',get(model.quitdata,'UserData'));
      end;
      %
      % retrieve text from text object
      %
      url = strtrim(get(get(co,'UserData'),'String'));
      set(get(co,'UserData'),'Color',[0 0 1]);
      set(fig,'Pointer','arrow');
      prog = ['bin\run_browser.exe ' url];
      dos(prog);
   elseif strcmp(tag,'email_axes')==1;
      %
      % reset status bar
      %
      if isempty(model)==0;
         set(model.statusbar,'String',get(model.quitdata,'UserData'));
      end;
      %
      email = strtrim(get(get(co,'UserData'),'String'));
      set(get(co,'UserData'),'Color',[0 0 1]);
      set(fig,'Pointer','arrow');
      prog = ['bin\run_shell.exe mailto:' email];
      dos(prog);
   end;
end;

%
% end of run_links.m
%
