function toolbar_colorbar_fcn(this_colorbar)

h = get(0,'CurrentFigure');
toolbar = get(h,'UserData');

if nargin==0;
   this_colorbar = findobj(h,'Type','axes','Tag','colorbar')';
end;

for j=1:size(this_colorbar,2);
   curr_axes = get(this_colorbar(1,j),'UserData');
   color_children = get(this_colorbar(1,j),'Children')';
   if strcmp(get(toolbar.colorbar,'Label'),'&Hide Colorbar')==1;
      set(this_colorbar(1,j),'Visible','off');
      if isempty(color_children)==0;
         for i=1:size(color_children,2);
            set(color_children(1,i),'Visible','off');
         end;
      end;
   else;
      kids = get(this_colorbar(1,j),'Children')';
      if isempty(get(kids(1,1),'UserData'))==1;
         set(this_colorbar(1,j),'Visible','on');
         if isempty(color_children)==0;
            for i=1:size(color_children,2);
               set(color_children(1,i),'Visible','on');
            end;
         end;
      end;
   end;
   %
   % fix context menu of axes
   %
   create_axes_contextmenu_fcn(curr_axes);
end;

if strcmp(get(toolbar.colorbar,'Label'),'&Hide Colorbar')==1;
   set(toolbar.colorbar,'Label','S&how Colorbar');
else;
   set(toolbar.colorbar,'Label','&Hide Colorbar');
end;

%
% end of toolbar_colorbar_fcn.m
%
