function toolbar_demean_fcn

h = get(0,'CurrentFigure');
my_gco = get(h,'CurrentObject');
%
% get the YLim
%
y_lim = get(gca,'YLim');
y_data = get(my_gco,'YData');
x_data = get(my_gco,'XData');
mean_y = mean(y_data);
y_data = y_data-mean_y;
set(my_gco,'XData',x_data,'YData',y_data);
%
% Check if there are any other lines that are time series
%
lineobj = findobj(gca,'Type','line')';
if isempty(lineobj(lineobj~=my_gco))==1;
   y_lim = y_lim-mean_y;
   set(gca,'YLim',y_lim);
else;
   min_max = [0 0];
   for i=1:size(lineobj,2);
      y_d = get(lineobj(1,i),'YData');
      min_y = min(y_d);
      max_y = max(y_d);
      if i==1;
         min_max = [min_y max_y];
      else;
         if max_y>max(min_max);
            min_max(1,2) = max_y;
         end;
         if min_y<min(min_max);
            min_max(1,1) = min_y;
         end;
      end;
   end;
   add_on = 0.1*(min_max(1,2)-min_max(1,1));
   min_max(1,1) = min_max(1,1)-add_on;
   min_max(1,2) = min_max(1,2)+add_on;
   set(gca,'YLim',min_max);
end;

%
% end of toolbar_demean_fcn.m
%
