function toolbar_freehand_fcn

h = get(0,'CurrentFigure');
toolbar = get(h,'UserData');
this_label = get(toolbar.lock,'Label');
myaxes = get(toolbar.print,'UserData');

set(h,'WindowButtonUpFcn','');

%
% resetting the other toggle buttons
%
set(toolbar.zoomin,'State','off');
%set(toolbar.zoomin,'CData',myzoominup);
set(toolbar.zoomout,'State','off');
%set(toolbar.zoomout,'CData',myzoomoutup);
set(toolbar.addarrow,'State','off');
%set(toolbar.addarrow,'CData',my_arrow);
set(toolbar.addtext,'State','off');
%set(toolbar.addtext,'CData',my_text);
set(toolbar.arrowmenu,'Checked','off');
set(toolbar.textmenu,'Checked','off');
if isfield(toolbar,'axesmenu')==1;
   set(toolbar.axesmenu,'Checked','off');
   set(toolbar.axes,'State','off');
end;
set(toolbar.menuzoomin,'Checked','off');
set(toolbar.menuzoomout,'Checked','off');
set(toolbar.linemenu,'Checked','off');
set(toolbar.addline,'State','off');

if isfield(toolbar,'rectangle')==1;
   set(toolbar.rectangle,'State','off');
   set(toolbar.rectanglemenu,'Checked','off');
end;

if isfield(toolbar,'rotate3d')==1;
   if strcmp(get(toolbar.rotate3d,'State'),'on')==1;
      rotate3d_fcn('off');
   end;
%   myrotate3d_up = maketrans(mycons.rotate3d_image,[160 160 164],bgcolor);
   set(toolbar.menurotate3d,'Checked','off');
   set(toolbar.rotate3d,'State','off');
end;

zoom_fcn('off');
%
% changing the button for the addline control
%
if strcmp(get(toolbar.freehand,'State'),'on')==1;
%   set(toolbar.addline,'CData',my_line_down);
   set(toolbar.freehandmenu,'Checked','on');
else;
%   set(toolbar.addline,'CData',my_line_up);
   set(toolbar.freehandmenu,'Checked','off');
end;

%
% determining action depening on control value
%

if strcmp(get(toolbar.freehand,'State'),'on')==1;
   if strcmp(this_label,'Loc&k Axes')==1;
      toolbar_lock_fcn;
      set(h,'WindowButtonDownFcn','');
   end;
   for i=1:size(myaxes,2);
      set(myaxes(1,i),'UIContextMenu',[]);
   end;
   set(h,'WindowButtonMotionFcn','pointer_crosshair');
   set(h,'WindowButtonDownFcn','addline_fcn');
else;
   set(h,'WindowButtonMotionFcn','');
   if strcmp(this_label,'Loc&k Axes')==1;
      set(h,'WindowButtonDownFcn','checkobj_fcn');
   else;
      set(h,'WindowButtonDownFcn','');
   end;
   %
   % reset the axes context menu
   %
   for i=1:size(myaxes,2);
      create_axes_contextmenu_fcn(myaxes(1,i));
   end;
   if isempty(get(toolbar.renderer,'UserData'))==0;
      set(h,'WindowButtonDownFcn',get(toolbar.renderer,'UserData'));
   end;
   set(h,'Pointer','arrow');
end;

if isfield(toolbar,'lineentry')==1;
   set(toolbar.lineentry,'Visible','off');
   set(h,'UserData',toolbar);
end;











%
% end of toolbar_freehand_fcn.m
%
