function ltx_str = txt2ltxmath(txtstr,add_str)

if nargin<2;
   add_str = '';
end;

ltx_str = '';
if size(txtstr,1)>1;
   ltx_str = txtstr;
   return;
end;

txt_str = vecstr(strtrim(txtstr));
ltx_str = '';
for j=1:size(txt_str,1);
   if j==1;
      ltx_str = strtrim(txt_str(1,:));
      if isempty(findstr(ltx_str,'_'))==0;
         ltx_str = strrep(ltx_str,'_',['_{' add_str '\rm ']);
         ltx_str = ['$' ltx_str '}$'];
      end;
      ltx_str = strrep(ltx_str,'eps',[add_str '\varepsilon']);
   else;
      ltx_strj = strtrim(txt_str(j,:));
      if isempty(findstr(ltx_strj,'_'))==0;
         ltx_strj = strrep(ltx_strj,'_',['_{' add_str '\rm ']);
         ltx_strj = ['$' ltx_strj '}$'];
      end;
      ltx_strj = strrep(ltx_strj,'eps',[add_str '\varepsilon']);
      ltx_str = [ltx_str ' ' ltx_strj];
   end;
end;

%
% end of txt2ltxmath.m
%
